# ChangeLog for media-sound/rhythmbox
# Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/rhythmbox/ChangeLog,v 1.91 2007/03/05 20:50:23 dang Exp $

  05 Mar 2007; Daniel Gryniewicz <dang@gentoo.org>
  +files/rhythmbox-0.9.8-as-needed.patch, rhythmbox-0.9.8.ebuild:
  Add fix for --as-needed; bug #168427

  05 Mar 2007; Daniel Gryniewicz <dang@gentoo.org>
  +files/rhythmbox-0.9.8-multijob-fix.patch, rhythmbox-0.9.8.ebuild:
  Parallel make fix; bug #169182

*rhythmbox-0.9.8 (25 Feb 2007)

  25 Feb 2007; Joe McCann <joem@gentoo.org>
  -files/rhythmbox-0.9.2-dbus-0.60.patch,
  -files/rhythmbox-0.9.4_p1-libnotify.patch,
  -files/rhythmbox-0.9.5-dbus-0.90.patch, -rhythmbox-0.9.4.1.ebuild,
  -rhythmbox-0.9.5.ebuild, -rhythmbox-0.9.6.ebuild, -rhythmbox-0.9.7.ebuild,
  -rhythmbox-0.9.7-r1.ebuild, -rhythmbox-0.9.7-r2.ebuild,
  +rhythmbox-0.9.8.ebuild:
  New version with bugfixes and plugin updates. Add back ~ia64 keyword that got
  lost for some reason. Prune lots of old files

*rhythmbox-0.9.7-r3 (14 Feb 2007)

  14 Feb 2007; Daniel Gryniewicz <dang@gentoo.org>
  +files/rhythmbox-0.9.7-daapsharing-fix.patch, +rhythmbox-0.9.7-r3.ebuild:
  Fix daap plugin; bug #166778

*rhythmbox-0.9.7-r2 (13 Feb 2007)

  13 Feb 2007; Daniel Gryniewicz <dang@gentoo.org>
  +files/rhythmbox-0.9.7-excessive-notification.patch,
  +rhythmbox-0.9.7-r2.ebuild:
  Fix excessive notifications from some streams; bug #166484

*rhythmbox-0.9.7-r1 (02 Feb 2007)

  02 Feb 2007; Joe McCann <joem@gentoo.org>
  +files/rhythmbox-0.9.7-daap_fix.patch, +rhythmbox-0.9.7-r1.ebuild:
  Adding patch to fix playback from daap shares. See bug 162956 for more info.
  Also added gst-plugins-cdparanoia dep as per bug 164983

  23 Jan 2007; Joe McCann <joem@gentoo.org> rhythmbox-0.9.6.ebuild,
  rhythmbox-0.9.7.ebuild:
  Remove aac use flag as per bug 159538

  17 Jan 2007; Gustavo Zacarias <gustavoz@gentoo.org>
  rhythmbox-0.9.6.ebuild:
  Stable on sparc wrt #162508

  14 Jan 2007; Mart Raudsepp <leio@gentoo.org> rhythmbox-0.9.6.ebuild,
  rhythmbox-0.9.7.ebuild:
  Add gnome-python dependency if USE=python because gnomevfs module is used by
  plugins, bug 161087

*rhythmbox-0.9.7 (03 Jan 2007)

  03 Jan 2007; Joe McCann <joem@gentoo.org> +rhythmbox-0.9.7.ebuild:
  New version with updated deps and support for gnome-keyring. This version
  has many bug fixes, and new last.fm radio and magnatune music store support.

  19 Nov 2006; Doug Goldstein <cardoe@gentoo.org> rhythmbox-0.9.4.1.ebuild,
  rhythmbox-0.9.5.ebuild, rhythmbox-0.9.6.ebuild:
  Fixing dbus dependancies

*rhythmbox-0.9.6 (05 Nov 2006)

  05 Nov 2006; Luis Medinas <metalgod@gentoo.org> +rhythmbox-0.9.6.ebuild:
  Version Bump. Closes bug #149888.

  16 Oct 2006; Aron Griffis <agriffis@gentoo.org> rhythmbox-0.9.5.ebuild:
  Mark 0.9.5 ~ia64

  27 Aug 2006; Mart Raudsepp <leio@gentoo.org>
  +files/rhythmbox-0.9.5-dbus-0.90.patch, rhythmbox-0.9.5.ebuild:
  Add patch to compile with >=dbus-0.90, fixing bug #144521. Thanks to Kyle
  McFarland.

  27 Jun 2006; Joe McCann <joem@gentoo.org> rhythmbox-0.9.5.ebuild:
  Fixes for bugs 137295 and 137281

*rhythmbox-0.9.5 (19 Jun 2006)

  19 Jun 2006; Joe McCann <joem@gentoo.org> +rhythmbox-0.9.5.ebuild:
  New version with support for ipod write, cd ripping, more plugins, and lots
  of bug fixes

  07 Jun 2006; Joe McCann <joem@gentoo.org> rhythmbox-0.9.4.1.ebuild:
  remove restrict since it shouldn't be there in the first place

  06 Jun 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  rhythmbox-0.9.4.1.ebuild:
  Back to ~sparc wrt #135411

*rhythmbox-0.9.4.1 (02 Jun 2006)

  02 Jun 2006; Joe McCann <joem@gentoo.org>
  files/rhythmbox-0.9.4_p1-libnotify.patch, -rhythmbox-0.9.2.ebuild,
  -rhythmbox-0.9.3.1.ebuild, -rhythmbox-0.9.3.1_p1.ebuild,
  +rhythmbox-0.9.4.1.ebuild:
  New bugfix release, update python use deps, only support gstreamer-0.10 as
  it is prefered by upstream and gst-0.8 is depreciated by gstreamer upstream

  17 May 2006; Daniel Gryniewicz <dang@gentoo.org>
  +files/rhythmbox-0.9.4_p1-libnotify.patch, rhythmbox-0.9.4_p1.ebuild:
  Fix bug #131705

  27 Apr 2006; Marien Zwart <marienz@gentoo.org>
  files/digest-rhythmbox-0.8.8-r1, files/digest-rhythmbox-0.9.2,
  files/digest-rhythmbox-0.9.3.1, files/digest-rhythmbox-0.9.3.1_p1,
  Manifest:
  Fixing SHA256 digest, pass four

*rhythmbox-0.9.4_p1 (18 Apr 2006)
*rhythmbox-0.9.4 (18 Apr 2006)

  18 Apr 2006; Luis Medinas <metalgod@gentoo.org> +rhythmbox-0.9.4.ebuild,
  +rhythmbox-0.9.4_p1.ebuild:
  Version Bump from upstream. I added libnotify support for both packages.
  Closes bug #128417 and #130210.

  08 Apr 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  rhythmbox-0.9.3.1_p1.ebuild:
  Added to ~ppc

  23 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  rhythmbox-0.9.3.1_p1.ebuild:
  Keyworded ~sparc

  08 Mar 2006; Luis Medinas <metalgod@gentoo.org> rhythmbox-0.9.3.1.ebuild,
  rhythmbox-0.9.3.1_p1.ebuild:
  Added ~amd64 keyword.

  17 Feb 2006; Joseph Jezak <josejx@gentoo.org> rhythmbox-0.9.3.1.ebuild:
  Marked ~ppc for bug #113875.

*rhythmbox-0.9.3.1_p1 (06 Feb 2006)

  06 Feb 2006; Joe McCann <joem@gentoo.org> rhythmbox-0.9.3.1.ebuild,
  +rhythmbox-0.9.3.1_p1.ebuild:
  Adding _p1 version to suport gstreamer-0.10 since it is still hardmasked and
  I don't want to upset repoman or anybody else

*rhythmbox-0.9.3.1 (06 Feb 2006)

  06 Feb 2006; Joe McCann <joem@gentoo.org> +rhythmbox-0.9.3.1.ebuild:
  New release with plenty of bugfixes,new features, and gstreamer-0.10 support

  04 Jan 2006; Joe McCann <joem@gentoo.org>
  +files/rhythmbox-0.9.2-dbus-0.60.patch, rhythmbox-0.9.2.ebuild:
  add dbus-0.60 patch, remove blocker

  02 Jan 2006; Saleem Abdulrasool <compnerd@gentoo.org>
  rhythmbox-0.9.2.ebuild:
  Adding blocker for 0.60 as Cardoe is unmasking

  06 Dec 2005; Zaheer Abbas Merali <zaheerm@gentoo.org>
  rhythmbox-0.8.8-r1.ebuild, rhythmbox-0.9.2.ebuild:
  Fix GStreamer dependencies

  29 Nov 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  rhythmbox-0.9.2.ebuild:
  Keyworded ~sparc wrt #113875

  29 Nov 2005; Joe McCann <joem@gentoo.org> rhythmbox-0.9.2.ebuild:
  Change pda useflag to ipod since it now brings in new deps such as hal which
  don't work well on some archs. This makes it easier for archs to use.mask
  this feature. Suggested by gustavoz.

*rhythmbox-0.9.2 (29 Nov 2005)

  29 Nov 2005; Joe McCann <joem@gentoo.org> +rhythmbox-0.9.2.ebuild:
  New version, lots of features. Added local useflags for avahi, daap,
  musicbrainz, and tagwriting. Thanks to everybody in bug #102022.

  26 Sep 2005; <dang@gentoo.org> +files/rhythmbox-0.8.8-empty-xlib.patch,
  rhythmbox-0.8.8-r1.ebuild:
  Fix empty xlibs. Bug #91707

  27 Jul 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  rhythmbox-0.8.8-r1.ebuild:
  Stable on sparc

  29 Jun 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  rhythmbox-0.8.8-r1.ebuild:
  To ~sparc

  28 May 2005; Jan Brinkmann <luckyduck@gentoo.org> -rhythmbox-0.8.5.ebuild,
  rhythmbox-0.8.8-r1.ebuild:
  Dont make use of the deprecated oggvorbis useflag any longer, see #94254.

  08 Apr 2005; Michael Hanselmann <hansmi@gentoo.org>
  rhythmbox-0.8.8-r1.ebuild:
  Stable on ppc.

  30 Jan 2005; lanius@gentoo.org rhythmbox-0.8.8-r1.ebuild:
  stable on amd64

  14 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  rhythmbox-0.8.5.ebuild, rhythmbox-0.8.8-r1.ebuild:
  Changed USE flag to aac.

*rhythmbox-0.8.8-r1 (03 Nov 2004)

  03 Nov 2004; foser <foser@gentoo.org> rhythmbox-0.8.8-r1.ebuild :
  Add ipod crasher fix (#68651)

*rhythmbox-0.8.8 (12 Oct 2004)

  12 Oct 2004; foser <foser@gentoo.org> rhythmbox-0.8.8.ebuild :
  New release
  Add a little patch to provide shorten support (though this isn't available as plugin)

*rhythmbox-0.8.7 (02 Oct 2004)

  02 Oct 2004; Yi Qiang <khai@gentoo.org> rhythmbox-0.8.7.ebuild:
  Forgot to reset keywords

  30 Sep 2004; Yi Qiang <khai@gentoo.org> rhythmbox-0.8.0.ebuild:
  New version (you can stop complaining now)

  15 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org>
  rhythmbox-0.8.5.ebuild:
  Stable amd64.

  14 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  rhythmbox-0.8.5.ebuild:
  -sparc

*rhythmbox-0.8.5 (12 Jul 2004)

  12 Jul 2004; foser <foser@gentoo.org> rhythmbox-0.8.5.ebuild :
  Add faad support (m4a), closes bug #51529

*rhythmbox-0.8.3 (05 May 2004)

  05 May 2004; foser <foser@gentoo.org> rhythmbox-0.8.3.ebuild :
  New release (requested in #49664)

*rhythmbox-0.8.1 (25 Apr 2004)

  25 Apr 2004; foser <foser@gentoo.org> rhythmbox-0.8.1.ebuild :
  New release
  Drop xine backend support, because it is not maintained in gentoo
  Add faad support

  21 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  rhythmbox-0.6.8.ebuild:
  Inherit eutils.

*rhythmbox-0.8.0-r1 (20 Apr 2004)

  20 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  rhythmbox-0.8.0-r1.ebuild, rhythmbox-0.8.0.ebuild:
  Fixed DEPs. Other ebuild cleanup per foser's request. Bump due to
  gst-plugins-ogg DEP being added.

*rhythmbox-0.8.0 (16 Apr 2004)

  16 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  rhythmbox-0.8.0.ebuild:
  Version Bump.

  15 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  rhythmbox-0.6.1-r1.ebuild, rhythmbox-0.6.8.ebuild:
  Filter out -ffast-math.  Closes bug #47183.

  03 Apr 2004; foser <foser@gentoo.org> rhythmbox-0.6.{1,8}.ebuild :
  Fix gst deps

  28 Mar 2004; <liquidx@gentoo.org> rhythmbox-0.6.8.ebuild:
  install schemas manually (#45417)

  18 Mar 2004; L. Boshell <leonardop@gentoo.org> rhythmbox-0.6.5.ebuild:
  Inherit from eutils.

  06 Mar 2004; foser <foser@gentoo.org> rhythmbox-0.6.8.ebuild :
  Fixed flac switch, so it now actually works the way it should
  Had to fix deps & configure switch usage accordingly

*rhythmbox-0.6.8 (06 Mar 2004)

  06 Mar 2004; Alastair Tse <liquidx@gentoo.org> rhythmbox-0.6.3.ebuild,
  rhythmbox-0.6.4.ebuild, rhythmbox-0.6.5.ebuild, rhythmbox-0.6.7.ebuild:
  this time we fix the amd64 patch as well.

  06 Mar 2004; foser <foser@gentoo.org> rhythmbox-0.6.8.ebuild :
  new release

*rhythmbox-0.6.7 (06 Mar 2004)

  06 Mar 2004; Alastair Tse <liquidx@gentoo.org> rhythmbox-0.6.7.ebuild:
  version bump (#43158)

  25 Feb 2004; Daniel Ahlberg <aliz@gentoo.org> rhythmbox-0.6.5.ebuild:
  Adding patch from upstream submitted by Benjamin Schindler <config@gmx.ch> in
  #41509.

  12 Feb 2004; L. Boshell <leonardop@gentoo.org> rhythmbox-0.6.5.ebuild,
  files/rhythmbox-0.6.5-gcc2_fix.patch:
  Added patch to make it compile with gcc-2.

*rhythmbox-0.6.5 (22 Jan 2004)

  22 Jan 2004; <spider@gentoo.org> rhythmbox-0.6.5.ebuild:
  New release

*rhythmbox-0.6.4 (12 Jan 2003)

  12 Jan 2003; foser <foser@gentoo.org> rhythmbox-0.6.4.ebuild :
  New release

*rhythmbox-0.6.3 (23 Dec 2003)

  23 Dec 2003; foser <foser@gentoo.org> rhythmbox-0.6.3.ebuild :
  New release

*rhythmbox-0.6.2 (20 Dec 2003)

  20 Dec 2003; foser <foser@gentoo.org> rhythmbox-0.6.2.ebuild :
  New release
  up xine-lib dep to rc3 (http://mail.gnome.org/archives/rhythmbox-devel/2003-December/msg00132.html)

*rhythmbox-0.6.1-r1 (25 Nov 2003)

  25 Nov 2003; foser <foser@gentoo.org> rhythmbox-0.6.1-r1.ebuild :
  Add mp4 support by faad USE flag and dependency

*rhythmbox-0.6.1 (22 Nov 2003)

  22 Nov 2003; <spider@gentoo.org> rhythmbox-0.6.1.ebuild:
  Versionbump

  20 Nov 2003; Luca Barbato <lu_zero@gentoo.org> rhythmbox-0.6.0.ebuild:
  Marked ~ppc

*rhythmbox-0.6.0 (15 Nov 2003)

  15 Nov 2003; foser <foser@gentoo.org> rhythmbox-0.6.0.ebuild :
  New release

*rhythmbox-0.5.4 (30 Oct 2003)

  30 Oct 2003; foser <foser@gentoo.org> rhythmbox-0.5.4.ebuild :
  New version, minor deps cleanup
  Limit buildjobs to 1 to avoid breakage

*rhythmbox-0.5.3 (09 Sep 2003)

  13 Oct 2003; foser <foser@gentoo.org> rhythmbox-0.5.3.ebuild :
  add scrollkeeper dep (#30911)

  06 Oct 2003; foser <foser@gentoo.org> rhythmbox-0.5.3.ebuild :
  Added local USE flag for flac support

  21 Sep 2003; foser <foser@gentoo.org> rhythmbox-0.5.3.ebuild :
  Added ORBit2 fix as suggested by TGL <degrenier@easyconnect.fr> in (#28739)
  Always regenerate orbit stubs

  12 Sep 2003; foser <foser@gentoo.org> rhythmbox-0.5.3.ebuild :
  Fix gst-plugins-* deps, they moved

  09 Sep 2003; foser <foser@gentoo.org> rhythmbox-0.5.3.ebuild :
  New version, adapted to new gst-plugins eclass
  Added mad, oggvorbis and xine (local) USE 
  Taken dep hint from 27688 and omf fix provided by Obz

*rhythmbox-0.5.1 (19 Aug 2003)

  19 Aug 2003; Nick Hadaway <raker@gentoo.org> rhythmbox-0.5.1.ebuild:
  Version bump and added gstreamer support into the build along with a
  big fat warning if gstreamer isn't in USE. :)

*rhythmbox-0.5.0 (17 Aug 2003)

  17 Aug 2003; Nick Hadaway <raker@gentoo.org> rhythmbox-0.5.0.ebuild:
  New ebuild.  See bug #26789 for the plea.  gstreamer support will
  be added in once gst-plugins-{vorbis,cdparanois} are unmasked and
  the mad plugin is added to portage.
